//
//  AppDelegate.m
//  Example
//
//  Created by Rodrigo Neri on 9/18/11.
//  Copyright 2011 Rodrigo Neri. All rights reserved.
//

#import "AppDelegate.h"

@implementation AppDelegate

@synthesize window, viewController;

#pragma mark -
#pragma mark Application lifecycle

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {    
    
    window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    if (!window) {
        [self release];
        return YES;
    }
	window.backgroundColor = [UIColor blackColor];
    
    viewController = [[ExampleViewController alloc] init];
    [window addSubview:viewController.view];
    [window makeKeyAndVisible];
    [window layoutSubviews];   

    return YES;
}

- (void)dealloc {
    [viewController release];
    [window release];
    [super dealloc];
}


@end
